##
##  jshint.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2023 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_jshint      2.13.6
%define       V_jshint_snap 20230909

#   package information
Name:         jshint
Summary:      JavaScript Linting Tool
URL:          http://www.jshint.com/
Vendor:       JSHint Community
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      MIT
Version:      %{V_jshint}
Release:      20230909

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/jshint/jshint-%{V_jshint}-%{V_jshint_snap}.tar.gz
Source1:      jshint.sh
Source2:      jshint.txt

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, node-openpkg
PreReq:       OpenPKG, openpkg >= 20160101, node

%description
    JSHint is a JavaScript program that looks for problems in JavaScript
    programs. It is a code quality tool.

%track
    prog jshint = {
        version   = %{version}
        url       = https://github.com/jshint/jshint/tags
        regex     = (\d+\.\d+\.\d+)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/node-openpkg squeeze

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/cat1 \
        $RPM_BUILD_ROOT%{l_prefix}/lib/jshint
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE jshint.sh} \
        $RPM_BUILD_ROOT%{l_prefix}/bin/jshint
    %{l_shtool} install -c -m 644 \
        %{SOURCE jshint.txt} \
        $RPM_BUILD_ROOT%{l_prefix}/man/cat1/jshint.1
    %{l_prefix}/bin/node-openpkg install \
        %{l_prefix}/lib/jshint/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

